﻿using System.Windows.Controls;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;

namespace TicketID_234244_NestedHierarchyChildTemplates
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            
            GridViewTableDefinition playersTableDefinition = new GridViewTableDefinition();
            playersTableDefinition.Relation = new PropertyRelation("Players");
            this.clubsGrid.TableDefinition.ChildTableDefinitions.Add(playersTableDefinition);

            GridViewTableDefinition gamesTableDefinition = new GridViewTableDefinition();
            gamesTableDefinition.Relation = new PropertyRelation("Games");
            playersTableDefinition.ChildTableDefinitions.Add(gamesTableDefinition);

            this.clubsGrid.ItemsSource = Club.GetClubs();
        }
    }
}